Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] main/sxiv: upgrade to 1.3.2

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 22 Dec 2015 09:37:10 +0100

---
 main/sxiv/APKBUILD | 33 +++++++++++----------------------
 1 file changed, 11 insertions(+), 22 deletions(-)
diff --git a/main/sxiv/APKBUILD b/main/sxiv/APKBUILD
index 9f8bc7a..e99ba29 100644
--- a/main/sxiv/APKBUILD
+++ b/main/sxiv/APKBUILD
_at_@ -1,6 +1,7 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer: Eivind Uggedal <eivind_at_uggedal.com>
 pkgname=sxiv
-pkgver=1.3.1
+pkgver=1.3.2
 pkgrel=0
 pkgdesc="Simple X Image Viewer"
 url="https://github.com/muennich/sxiv"
_at_@ -11,32 +12,20 @@ depends_dev=""
 makedepends="imlib2-dev giflib-dev libexif-dev"
 install=""
 subpackages="$pkgname-doc"
-source="$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz
-	"
+source="$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
 build() {
-	cd "$_builddir"
-
-	make
+	make -C "$_builddir" || return 1
 }
 
 package() {
-	cd "$_builddir"
-
-	make PREFIX="$pkgdir"/usr install
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+	install -Dm644 "$_builddir"/README.md \
+		"$pkgdir"/usr/share/doc/$pkgname/README.md || return 1
 }
 
-md5sums="3255d0d47e0a4cddd752ec03ee4bddaf  sxiv-1.3.1.tar.gz"
-sha256sums="9a30a1b036e1c17212128554709da3f2d65d3beaef2e0a73097af5e35cf11d0e  sxiv-1.3.1.tar.gz"
-sha512sums="a3ffeea7fb85188c844ec8fabf8a162aa6c4f695674b44db7c60a4608956051ff5963cb85aba86cd4f16ab63a0cf84cd2309c325e22075537175bf1b65327b77  sxiv-1.3.1.tar.gz"
+md5sums="44822b3d4672a7ed22f1a14c86a0914f  sxiv-1.3.2.tar.gz"
+sha256sums="9f5368de8f0f57e78ebe02cb531a31107a993f2769cec51bcc8d70f5c668b653  sxiv-1.3.2.tar.gz"
+sha512sums="3bcf67a778a3e40cb6ae6b6fcc685cd57e303265df34c8a56d6ebb8ad0237e7136e738c44fee5c5504c73e4722d017f1e746691fac482568b2a960931f1ecdd5  sxiv-1.3.2.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Dec 22 2015 - 09:37:10 GMT